DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
POST/prompt

Create a new prompt

Create a new prompt

GET/prompt/{promptId}arrow_forward
upload
Request body
namerequired
string
The name of the prompt
type
string · dynamic | static | conditional
The type of the prompt
trigger
string
The trigger string for the prompt (required for dynamic and conditional types)
contentrequired
string
The content of the prompt
active
boolean
Whether the prompt is active
section
string · communication_style | context_and_clarification | content_and_sources | spam | other
The section this prompt belongs to
double_arrow
Returns 201
idrequired
string (uuid)
The generated UUID for the new prompt
namerequired
string
The name of the prompt
triggerrequired
string
The trigger string for the prompt
contentrequired
string
The content of the prompt
activerequired
boolean
Whether the prompt is active
typerequired
enum
The type of the prompt
section
enum
The section this prompt belongs to
createdAtrequired
string (date-time)
updatedAtrequired
string (date-time)
report
Errors
StatusDescription
500Default Response
north_east
Request
curl -X POST 'https://chat-api-dev.paicloud.ai//prompt' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "name",
  "type": "dynamic",
  "trigger": "trigger",
  "content": "content",
  "active": true,
  "section": "communication_style"
}'
south_west
Response
201 OK
application/json
{
  "id": "00000000-0000-0000-0000-000000000001",
  "name": "name",
  "trigger": "trigger",
  "content": "content",
  "active": true,
  "type": "dynamic",
  "section": "communication_style",
  "createdAt": "2026-01-01T00: 00:00Z",
  "updatedAt": "2026-01-01T00: 00:00Z"
}